Tonyu.klass.define({
  fullName: 'user.Attack',
  shortName: 'Attack',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Attack_main() {
        "use strict";
        var _this=this;
        
        _this.p=16;
        _this.time=7;
        _this.scaleup=0.85;
        _this.scaleX=0.1;
        _this.alpha=200;
        while (_this.time>0) {
          Tonyu.checkLoop();
          _this.scaleup=_this.scaleup*0.9;
          _this.scaleX=_this.scaleX+_this.scaleup;
          _this.time--;
          _this.alpha=_this.alpha*0.75;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Attack_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=16;
        _this.time=7;
        _this.scaleup=0.85;
        _this.scaleX=0.1;
        _this.alpha=200;
        
        _thread.enter(function _trc_Attack_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.time>0)) { __pc=3     ; break; }
              _this.scaleup=_this.scaleup*0.9;
              _this.scaleX=_this.scaleX+_this.scaleup;
              _this.time--;
              _this.alpha=_this.alpha*0.75;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"time":{},"scaleup":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Enemy_main() {
        "use strict";
        var _this=this;
        
        _this.vx=0;
        _this.vy=0;
        _this.t=0;
        _this.alpha=0;
        _this.pattern=0;
        _this.anger=0;
        _this.live=0;
        _this.p=23;
        _this.lastAttackId=0;
        _this.hitps=[Tonyu.globals.$pat_mapchip];
        while (_this.t<40) {
          Tonyu.checkLoop();
          _this.alpha+=9;
          _this.t++;
          _this.update();
          
        }
        _this.t=0;
        _this.live=1;
        if (_this.rnd(3)==0) {
          _this.spd=1;
        } else {
          _this.spd=0.8;
        }
        while (true) {
          Tonyu.checkLoop();
          _this.sx=_this.x;
          _this.sy=_this.y;
          if (_this.pattern==0) {
            _this.p=15;
            if (_this.x<Tonyu.globals.$jiki.x) {
              _this.vx+=4*_this.spd;
            }
            if (_this.x>Tonyu.globals.$jiki.x) {
              _this.vx-=4*_this.spd;
            }
            if (_this.y<Tonyu.globals.$jiki.y) {
              _this.vy+=4*_this.spd;
            }
            if (_this.y>Tonyu.globals.$jiki.y) {
              _this.vy-=4*_this.spd;
            }
            if (_this.x<Tonyu.globals.$jiki.x-64) {
              _this.vx+=2*_this.spd;
            }
            if (_this.x>Tonyu.globals.$jiki.x+64) {
              _this.vx-=2*_this.spd;
            }
            if (_this.y<Tonyu.globals.$jiki.y-64) {
              _this.vy+=2*_this.spd;
            }
            if (_this.y>Tonyu.globals.$jiki.y+64) {
              _this.vy-=2*_this.spd;
            }
            
          }
          if (_this.pattern==1) {
            _this.p=20;
            if (_this.x<Tonyu.globals.$jiki.x) {
              _this.vx-=6*_this.spd;
            }
            if (_this.x>Tonyu.globals.$jiki.x) {
              _this.vx+=6*_this.spd;
            }
            
          }
          if (_this.pattern==2) {
            _this.p=20;
            if (_this.y<Tonyu.globals.$jiki.y) {
              _this.vy-=6*_this.spd;
            }
            if (_this.y>Tonyu.globals.$jiki.y) {
              _this.vy+=6*_this.spd;
            }
            
          }
          if (_this.pattern==3) {
            _this.p=22;
            _this.vx=_this.vx*0.95;
            _this.vy=_this.vy*0.95;
            
          }
          if (_this.pattern==4) {
            _this.p=12;
            _this.vx=_this.vx*1.1;
            _this.vy=_this.vy*1.1;
            
          }
          if (_this.anger==3) {
            _this.p=13;
          }
          if (_this.live==0) {
            _this.p=23;
          }
          if (_this.t>60) {
            _this.live=1;
            if (_this.abs(_this.vx)+_this.abs(_this.vy)<50) {
              _this.anger++;
              
            } else {
              if (_this.anger>0) {
                _this.anger--;
              }
              
            }
            if (_this.rnd(6)==0) {
              _this.pattern=_this.rnd(2)+1;
              _this.t=40;
              if (_this.anger>=3) {
                _this.t=20;
              }
              
            } else {
              if (_this.anger>3) {
                _this.pattern=4;
                _this.t=0;
                if (_this.abs(_this.vx)+_this.abs(_this.vy)<25) {
                  _this.vx=_this.vx*1.5;
                  _this.vy=_this.vy*1.5;
                  
                }
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_don11,48,0);
                _this.anger=0;
                
              } else {
                if (_this.rnd(8)==0&&_this.abs(_this.vx)+_this.abs(_this.vy)>40) {
                  _this.pattern=3;
                  _this.t=0;
                  _this.vx=_this.vx*1.1;
                  _this.vy=_this.vy*1.1;
                  
                } else {
                  _this.pattern=0;
                  _this.t=30-_this.rnd(4);
                  
                }
                
              }
              if (_this.anger==3) {
                _this.t=20;
              }
              
            }
            
          }
          if (_this.t>52) {
            _this.p=16;
          }
          if (_this.t==53) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit22_edit,8-_this.rnd(4)+_this.anger*4,0);
          }
          _this.x+=(_this.vx/10);
          _this.y+=(_this.vy/10);
          if (_this.hitToChip(_this.x,_this.y,_this.hitps)) {
            if (! _this.hitToChip(_this.sx,_this.y,_this.hitps)) {
              _this.x=_this.sx;
              _this.vx=- _this.vx*0.7;
              
            } else {
              if (! _this.hitToChip(_this.x,_this.sy,_this.hitps)) {
                _this.y=_this.sy;
                _this.vy=- _this.vy*0.7;
                
              } else {
                _this.x=_this.sx;
                _this.y=_this.sy;
                _this.vx=- _this.vx*0.7;
                _this.vy=- _this.vy*0.7;
                
              }
            }
            
          }
          if (_this.x<1||_this.y<1||_this.x>479||_this.y>479) {
            _this.x=_this.sx;
            _this.y=_this.sy;
            _this.vx=- _this.vx*0.7;
            _this.vy=- _this.vy*0.7;
            
          }
          _this.t++;
          _this.update();
          
        }
      },
      fiber$main :function _trc_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.vx=0;
        _this.vy=0;
        _this.t=0;
        _this.alpha=0;
        _this.pattern=0;
        _this.anger=0;
        _this.live=0;
        _this.p=23;
        _this.lastAttackId=0;
        _this.hitps=[Tonyu.globals.$pat_mapchip];
        
        _thread.enter(function _trc_Enemy_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t<40)) { __pc=3     ; break; }
              _this.alpha+=9;
              _this.t++;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.t=0;
              _this.live=1;
              if (_this.rnd(3)==0) {
                _this.spd=1;
              } else {
                _this.spd=0.8;
              }
            case 4:
              _this.sx=_this.x;
              _this.sy=_this.y;
              if (_this.pattern==0) {
                _this.p=15;
                if (_this.x<Tonyu.globals.$jiki.x) {
                  _this.vx+=4*_this.spd;
                }
                if (_this.x>Tonyu.globals.$jiki.x) {
                  _this.vx-=4*_this.spd;
                }
                if (_this.y<Tonyu.globals.$jiki.y) {
                  _this.vy+=4*_this.spd;
                }
                if (_this.y>Tonyu.globals.$jiki.y) {
                  _this.vy-=4*_this.spd;
                }
                if (_this.x<Tonyu.globals.$jiki.x-64) {
                  _this.vx+=2*_this.spd;
                }
                if (_this.x>Tonyu.globals.$jiki.x+64) {
                  _this.vx-=2*_this.spd;
                }
                if (_this.y<Tonyu.globals.$jiki.y-64) {
                  _this.vy+=2*_this.spd;
                }
                if (_this.y>Tonyu.globals.$jiki.y+64) {
                  _this.vy-=2*_this.spd;
                }
                
              }
              if (_this.pattern==1) {
                _this.p=20;
                if (_this.x<Tonyu.globals.$jiki.x) {
                  _this.vx-=6*_this.spd;
                }
                if (_this.x>Tonyu.globals.$jiki.x) {
                  _this.vx+=6*_this.spd;
                }
                
              }
              if (_this.pattern==2) {
                _this.p=20;
                if (_this.y<Tonyu.globals.$jiki.y) {
                  _this.vy-=6*_this.spd;
                }
                if (_this.y>Tonyu.globals.$jiki.y) {
                  _this.vy+=6*_this.spd;
                }
                
              }
              if (_this.pattern==3) {
                _this.p=22;
                _this.vx=_this.vx*0.95;
                _this.vy=_this.vy*0.95;
                
              }
              if (_this.pattern==4) {
                _this.p=12;
                _this.vx=_this.vx*1.1;
                _this.vy=_this.vy*1.1;
                
              }
              if (_this.anger==3) {
                _this.p=13;
              }
              if (_this.live==0) {
                _this.p=23;
              }
              if (_this.t>60) {
                _this.live=1;
                if (_this.abs(_this.vx)+_this.abs(_this.vy)<50) {
                  _this.anger++;
                  
                } else {
                  if (_this.anger>0) {
                    _this.anger--;
                  }
                  
                }
                if (_this.rnd(6)==0) {
                  _this.pattern=_this.rnd(2)+1;
                  _this.t=40;
                  if (_this.anger>=3) {
                    _this.t=20;
                  }
                  
                } else {
                  if (_this.anger>3) {
                    _this.pattern=4;
                    _this.t=0;
                    if (_this.abs(_this.vx)+_this.abs(_this.vy)<25) {
                      _this.vx=_this.vx*1.5;
                      _this.vy=_this.vy*1.5;
                      
                    }
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_don11,48,0);
                    _this.anger=0;
                    
                  } else {
                    if (_this.rnd(8)==0&&_this.abs(_this.vx)+_this.abs(_this.vy)>40) {
                      _this.pattern=3;
                      _this.t=0;
                      _this.vx=_this.vx*1.1;
                      _this.vy=_this.vy*1.1;
                      
                    } else {
                      _this.pattern=0;
                      _this.t=30-_this.rnd(4);
                      
                    }
                    
                  }
                  if (_this.anger==3) {
                    _this.t=20;
                  }
                  
                }
                
              }
              if (_this.t>52) {
                _this.p=16;
              }
              if (_this.t==53) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit22_edit,8-_this.rnd(4)+_this.anger*4,0);
              }
              _this.x+=(_this.vx/10);
              _this.y+=(_this.vy/10);
              if (_this.hitToChip(_this.x,_this.y,_this.hitps)) {
                if (! _this.hitToChip(_this.sx,_this.y,_this.hitps)) {
                  _this.x=_this.sx;
                  _this.vx=- _this.vx*0.7;
                  
                } else {
                  if (! _this.hitToChip(_this.x,_this.sy,_this.hitps)) {
                    _this.y=_this.sy;
                    _this.vy=- _this.vy*0.7;
                    
                  } else {
                    _this.x=_this.sx;
                    _this.y=_this.sy;
                    _this.vx=- _this.vx*0.7;
                    _this.vy=- _this.vy*0.7;
                    
                  }
                }
                
              }
              if (_this.x<1||_this.y<1||_this.x>479||_this.y>479) {
                _this.x=_this.sx;
                _this.y=_this.sy;
                _this.vx=- _this.vx*0.7;
                _this.vy=- _this.vy*0.7;
                
              }
              _this.t++;
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitToChip :function _trc_Enemy_hitToChip(x,y,ps) {
        "use strict";
        var _this=this;
        
        return ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y+10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y+10)/32)));
      },
      fiber$hitToChip :function _trc_Enemy_f_hitToChip(_thread,x,y,ps) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y+10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y+10)/32)));return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToChip":{"nowait":false}},"fields":{"vx":{},"vy":{},"t":{},"pattern":{},"anger":{},"live":{},"lastAttackId":{},"hitps":{},"spd":{},"sx":{},"sy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameMain',
  shortName: 'GameMain',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameMain_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$game=1;
        Tonyu.globals.$map=new Tonyu.classes.kernel.Map({chipWidth: 32,chipHeight: 32});
        Tonyu.globals.$map.load("newmap.json");
        Tonyu.globals.$jiki=new Tonyu.classes.user.Jiki;
        Tonyu.globals.$time=0;
        Tonyu.globals.$vtime=0;
        Tonyu.globals.$score=0;
        new Tonyu.classes.kernel.Label({x: 0,y: 0,template: "time: $vtime",size: 16,align: "left",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 0,y: 440,template: "$jiki.skillText",size: 16,align: "left",fillStyle: "#ffffff"});
        if (! Tonyu.globals.$Navigator.isWindows()||Tonyu.globals.$isUsePad) {
          Tonyu.globals.$pad=new Tonyu.classes.kernel.Pad({layer: Tonyu.globals.$frontLayer});
          Tonyu.globals.$isUsePad=true;
          
        }
        _this.EnemyCreate();
        while (Tonyu.globals.$game==1) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$time>=30) {
            Tonyu.globals.$vtime++;
            Tonyu.globals.$time=0;
            if (Tonyu.globals.$vtime%10==0||Tonyu.globals.$vtime%18==0) {
              _this.EnemyCreate();
            }
            if (Tonyu.globals.$vtime>=30&&Tonyu.globals.$vtime%(31-_this.min(Tonyu.globals.$vtime/30,30))==0) {
              _this.EnemyCreate();
            }
            
          }
          Tonyu.globals.$time++;
          Tonyu.globals.$score++;
          _this.update();
          
        }
        if (Tonyu.globals.$hiscore<Tonyu.globals.$score) {
          Tonyu.globals.$hiscore=Tonyu.globals.$score;
        }
        _this.black_bar=new Tonyu.classes.kernel.Actor({x: 240,y: 240,p: Tonyu.globals.$pat_black,scaleX: 15,scaleY: 0,alpha: 128});
        _this.gameover=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$baseX+240,y: - 56,template: "げーむおーばー",size: 56,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: Tonyu.globals.$baseX+180,y: 210,template: "score: $score\nhi-score: $hiscore",size: 40,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: Tonyu.globals.$baseX+240,y: 310,template: "Rキーでリトライ",size: 24,align: "center",fillStyle: "#ffffff"});
        _this.vy=0;
        _this.t=0;
        _this.retryBtn=new Tonyu.classes.kernel.Button({top: - 360,left: Tonyu.globals.$baseX+140,width: 200,height: 34,text: "リトライ"});
        _this.tweetBtn=new Tonyu.classes.kernel.Button({top: 210,left: Tonyu.globals.$baseX+370,width: 80,height: 80,fillStyle: "#1DA1F2",text: "",onClick: (function anonymous_2024() {
          
          Tonyu.globals.$WebPage.openShareTweet("ハイスコア: "+Tonyu.globals.$hiscore+"点、"+_this.floor(Tonyu.globals.$hiscore/30)+"秒間生き延びた",location.href,"yokerun_game");
        })});
        new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$baseX+370+40,y: 210+40,p: Tonyu.globals.$pat_Twitter_Social_Icon_Circle_Color,scaleX: 0.7,layer: Tonyu.globals.$frontLayer});
        new Tonyu.classes.kernel.Button({top: 0,left: 0,width: 100,height: 20,text: "タイトルに戻る",onClick: (function anonymous_2355() {
          
          _this.loadPage(Tonyu.classes.user.Title);
        })});
        while (Tonyu.globals.$game==2) {
          Tonyu.checkLoop();
          if (_this.getkey("r")==1) {
            _this.loadPage(Tonyu.classes.user.GameMain);
          }
          if (_this.retryBtn.clicked==1&&((_this.getkey("mouseleft")&&_this.getkey("mouseleft")<=5)||(Tonyu.globals.$touches[0].touched&&Tonyu.globals.$touches[0].touched<=5))) {
            _this.retryBtn.press=1;
          }
          if (_this.retryBtn.press&&! _this.retryBtn.clicked&&! Tonyu.globals.$touches[0].touched) {
            _this.loadPage(Tonyu.classes.user.GameMain);
            
          }
          if (_this.retryBtn.press&&! _this.retryBtn.clicked) {
            _this.retryBtn.press=0;
            
          }
          if (_this.t<120) {
            _this.black_bar.scaleY=16/(1+Tonyu.globals.$Math.exp(- _this.t*0.5/10))-8;
            _this.t++;
            
          }
          if (_this.t>15&&_this.t<75) {
            _this.retryBtn.top=360;
            _this.retryBtn.width=1+(Tonyu.globals.$Math.log(_this.t-15)/Tonyu.globals.$Math.log(60)*200);
            
          }
          _this.sy=_this.gameover.y;
          _this.vy+=0.5;
          _this.gameover.y+=_this.vy;
          if (_this.gameover.y>=130) {
            _this.gameover.y=_this.sy;
            _this.vy=- _this.vy*0.7+1;
            if (_this.abs(_this.vy)<1) {
              _this.vy=0;
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_GameMain_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$game=1;
        Tonyu.globals.$map=new Tonyu.classes.kernel.Map({chipWidth: 32,chipHeight: 32});
        Tonyu.globals.$map.load("newmap.json");
        Tonyu.globals.$jiki=new Tonyu.classes.user.Jiki;
        Tonyu.globals.$time=0;
        Tonyu.globals.$vtime=0;
        Tonyu.globals.$score=0;
        new Tonyu.classes.kernel.Label({x: 0,y: 0,template: "time: $vtime",size: 16,align: "left",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 0,y: 440,template: "$jiki.skillText",size: 16,align: "left",fillStyle: "#ffffff"});
        if (! Tonyu.globals.$Navigator.isWindows()||Tonyu.globals.$isUsePad) {
          Tonyu.globals.$pad=new Tonyu.classes.kernel.Pad({layer: Tonyu.globals.$frontLayer});
          Tonyu.globals.$isUsePad=true;
          
        }
        
        _thread.enter(function _trc_GameMain_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$EnemyCreate(_thread);
              __pc=1;return;
            case 1:
              
            case 2:
              if (!(Tonyu.globals.$game==1)) { __pc=9     ; break; }
              if (!(Tonyu.globals.$time>=30)) { __pc=7     ; break; }
              Tonyu.globals.$vtime++;
              Tonyu.globals.$time=0;
              if (!(Tonyu.globals.$vtime%10==0||Tonyu.globals.$vtime%18==0)) { __pc=4     ; break; }
              _this.fiber$EnemyCreate(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              
              if (!(Tonyu.globals.$vtime>=30&&Tonyu.globals.$vtime%(31-_this.min(Tonyu.globals.$vtime/30,30))==0)) { __pc=6     ; break; }
              _this.fiber$EnemyCreate(_thread);
              __pc=5;return;
            case 5:
              
            case 6     :
              
            case 7     :
              
              Tonyu.globals.$time++;
              Tonyu.globals.$score++;
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=2;break;
            case 9     :
              
              if (Tonyu.globals.$hiscore<Tonyu.globals.$score) {
                Tonyu.globals.$hiscore=Tonyu.globals.$score;
              }
              _this.black_bar=new Tonyu.classes.kernel.Actor({x: 240,y: 240,p: Tonyu.globals.$pat_black,scaleX: 15,scaleY: 0,alpha: 128});
              _this.gameover=new Tonyu.classes.kernel.Label({x: Tonyu.globals.$baseX+240,y: - 56,template: "げーむおーばー",size: 56,align: "center",fillStyle: "#ffffff"});
              new Tonyu.classes.kernel.Label({x: Tonyu.globals.$baseX+180,y: 210,template: "score: $score\nhi-score: $hiscore",size: 40,align: "center",fillStyle: "#ffffff"});
              new Tonyu.classes.kernel.Label({x: Tonyu.globals.$baseX+240,y: 310,template: "Rキーでリトライ",size: 24,align: "center",fillStyle: "#ffffff"});
              _this.vy=0;
              _this.t=0;
              _this.retryBtn=new Tonyu.classes.kernel.Button({top: - 360,left: Tonyu.globals.$baseX+140,width: 200,height: 34,text: "リトライ"});
              _this.tweetBtn=new Tonyu.classes.kernel.Button({top: 210,left: Tonyu.globals.$baseX+370,width: 80,height: 80,fillStyle: "#1DA1F2",text: "",onClick: (function anonymous_2024() {
                
                Tonyu.globals.$WebPage.openShareTweet("ハイスコア: "+Tonyu.globals.$hiscore+"点、"+_this.floor(Tonyu.globals.$hiscore/30)+"秒間生き延びた",location.href,"yokerun_game");
              })});
              new Tonyu.classes.kernel.Actor({x: Tonyu.globals.$baseX+370+40,y: 210+40,p: Tonyu.globals.$pat_Twitter_Social_Icon_Circle_Color,scaleX: 0.7,layer: Tonyu.globals.$frontLayer});
              new Tonyu.classes.kernel.Button({top: 0,left: 0,width: 100,height: 20,text: "タイトルに戻る",onClick: (function anonymous_2355() {
                
                _this.loadPage(Tonyu.classes.user.Title);
              })});
            case 10:
              if (!(Tonyu.globals.$game==2)) { __pc=16    ; break; }
              if (!(_this.getkey("r")==1)) { __pc=12    ; break; }
              _this.fiber$loadPage(_thread, Tonyu.classes.user.GameMain);
              __pc=11;return;
            case 11:
              
            case 12    :
              
              if (_this.retryBtn.clicked==1&&((_this.getkey("mouseleft")&&_this.getkey("mouseleft")<=5)||(Tonyu.globals.$touches[0].touched&&Tonyu.globals.$touches[0].touched<=5))) {
                _this.retryBtn.press=1;
              }
              if (!(_this.retryBtn.press&&! _this.retryBtn.clicked&&! Tonyu.globals.$touches[0].touched)) { __pc=14    ; break; }
              _this.fiber$loadPage(_thread, Tonyu.classes.user.GameMain);
              __pc=13;return;
            case 13:
              
            case 14    :
              
              if (_this.retryBtn.press&&! _this.retryBtn.clicked) {
                _this.retryBtn.press=0;
                
              }
              if (_this.t<120) {
                _this.black_bar.scaleY=16/(1+Tonyu.globals.$Math.exp(- _this.t*0.5/10))-8;
                _this.t++;
                
              }
              if (_this.t>15&&_this.t<75) {
                _this.retryBtn.top=360;
                _this.retryBtn.width=1+(Tonyu.globals.$Math.log(_this.t-15)/Tonyu.globals.$Math.log(60)*200);
                
              }
              _this.sy=_this.gameover.y;
              _this.vy+=0.5;
              _this.gameover.y+=_this.vy;
              if (_this.gameover.y>=130) {
                _this.gameover.y=_this.sy;
                _this.vy=- _this.vy*0.7+1;
                if (_this.abs(_this.vy)<1) {
                  _this.vy=0;
                }
                
              }
              _this.fiber$update(_thread);
              __pc=15;return;
            case 15:
              
              __pc=10;break;
            case 16    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      EnemyCreate :function _trc_GameMain_EnemyCreate() {
        "use strict";
        var _this=this;
        var x;
        var y;
        var s;
        
        
        s=Tonyu.globals.$pat_mapchip;
        x=_this.rnd(479-64)+32;
        y=_this.rnd(479-64)+32;
        if (x>240) {
          _this.zx=- 1;
        } else {
          _this.zx=1;
        }
        if (y>240) {
          _this.zy=- 1;
        } else {
          _this.zy=1;
        }
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$map.get(_this.floor((x)/32),_this.floor((y)/32))==s||Tonyu.globals.$map.get(_this.floor((x-16)/32),_this.floor((y-16)/32))==s||Tonyu.globals.$map.get(_this.floor((x-16)/32),_this.floor((y+16)/32))==s||Tonyu.globals.$map.get(_this.floor((x+16)/32),_this.floor((y-16)/32))==s||Tonyu.globals.$map.get(_this.floor((x+16)/32),_this.floor((y+16)/32))==s) {
            x+=_this.zx;
            y+=_this.zy;
            
          } else {
            new Tonyu.classes.user.Enemy({x: x,y: y,p: 15});
            return _this;
            
          }
          
        }
      },
      fiber$EnemyCreate :function _trc_GameMain_f_EnemyCreate(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var x;
        var y;
        var s;
        
        
        s=Tonyu.globals.$pat_mapchip;
        x=_this.rnd(479-64)+32;
        y=_this.rnd(479-64)+32;
        if (x>240) {
          _this.zx=- 1;
        } else {
          _this.zx=1;
        }
        if (y>240) {
          _this.zy=- 1;
        } else {
          _this.zy=1;
        }
        
        _thread.enter(function _trc_GameMain_ent_EnemyCreate(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(Tonyu.globals.$map.get(_this.floor((x)/32),_this.floor((y)/32))==s||Tonyu.globals.$map.get(_this.floor((x-16)/32),_this.floor((y-16)/32))==s||Tonyu.globals.$map.get(_this.floor((x-16)/32),_this.floor((y+16)/32))==s||Tonyu.globals.$map.get(_this.floor((x+16)/32),_this.floor((y-16)/32))==s||Tonyu.globals.$map.get(_this.floor((x+16)/32),_this.floor((y+16)/32))==s)) { __pc=2     ; break; }
              {
                x+=_this.zx;
                y+=_this.zy;
              }
              __pc=3     ;break;
            case 2     :
              new Tonyu.classes.user.Enemy({x: x,y: y,p: 15});
              _thread.exit(_this);return;
            case 3     :
              
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"EnemyCreate":{"nowait":false}},"fields":{"black_bar":{},"gameover":{},"vy":{},"t":{},"retryBtn":{},"tweetBtn":{},"sy":{},"zx":{},"zy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Jiki',
  shortName: 'Jiki',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Jiki_main() {
        "use strict";
        var _this=this;
        
        _this.x=240;
        _this.y=240;
        _this.p=0;
        _this.cooltime=30;
        _this.attack=0;
        _this.attackId=0;
        _this.passiveAttackCnt=1;
        Tonyu.globals.$Screen.scrollTo(0-Tonyu.globals.$baseX+8,8);
        _this.skillText="パッシブアタック残: "+_this.passiveAttackCnt;
        Tonyu.globals.$getmapchip=Tonyu.globals.$screenWidth;
        _this.hitps=[Tonyu.globals.$pat_mapchip];
        while (true) {
          Tonyu.checkLoop();
          _this.sx=_this.x;
          _this.sy=_this.y;
          if (_this.getkey("space")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getButton(1)) {
            if (_this.cooltime<=0) {
              _this.atacck();
              
            }
            
          }
          if (_this.getkey("up")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getUp()) {
            _this.y-=8;
          }
          if (_this.getkey("down")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getDown()) {
            _this.y+=8;
          }
          if (_this.getkey("left")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getLeft()) {
            _this.x-=8;
          }
          if (_this.getkey("right")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getRight()) {
            _this.x+=8;
          }
          if (_this.hitToChip(_this.x,_this.y,_this.hitps)) {
            if (! _this.hitToChip(_this.sx,_this.y,_this.hitps)) {
              if (! _this.hitToChip(_this.x,_this.y+8,_this.hitps)) {
                _this.y+=8;
                
              } else {
                if (! _this.hitToChip(_this.x,_this.y-8,_this.hitps)) {
                  _this.y-=8;
                  
                }
              }
              _this.x=_this.sx;
              
            } else {
              if (! _this.hitToChip(_this.x,_this.sy,_this.hitps)) {
                if (! _this.hitToChip(_this.x+8,_this.y,_this.hitps)) {
                  _this.x+=8;
                  
                } else {
                  if (! _this.hitToChip(_this.x-8,_this.y,_this.hitps)) {
                    _this.x-=8;
                    
                  }
                }
                _this.y=_this.sy;
                
              } else {
                _this.x=_this.sx;
                _this.y=_this.sy;
                
              }
            }
            
          }
          if (_this.cooltime>0) {
            _this.cooltime--;
            if (_this.cooltime<36) {
              if (_this.cooltime%6<=3) {
                _this.p=11;
              } else {
                _this.p=10;
              }
              if (_this.cooltime%6==5) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_step01_edit2,64,0);
              }
              
            }
            
          }
          if (_this.cooltime==1) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_power35_edit,128,0);
          }
          if (_this.cooltime==0) {
            _this.p=0;
          }
          if (_this.attack>0) {
            _this.attack--;
            _this.crashScale=_this.crashScale>1?_this.crashScale*0.9:1;
            _this.e=_this.crashTo(Tonyu.classes.user.Enemy);
            if (_this.e&&_this.e.lastAttackId!=_this.attackId) {
              if (_this.e.scaleX==0.6) {
                _this.e.die();
                
              } else {
                _this.e.scaleX=0.6;
                _this.e.live=0;
                _this.e.pattern=3;
                _this.e.t=0;
                _this.e.spd=0.5;
                _this.e.lastAttackId=_this.attackId;
                
              }
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_saku06,64,0);
              _this.attack=6;
              _this.crashScale=2.5;
              _this.cooltime=120;
              
            }
            if (_this.attack==0) {
              _this.p=10;
            }
            
          } else {
            _this.crashScale=0.2;
            _this.e=_this.crashTo(Tonyu.classes.user.Enemy);
            if (_this.e) {
              if (_this.e.live==1) {
                if (_this.passiveAttackCnt>0) {
                  _this.passiveAttackCnt--;
                  if (_this.passiveAttackCnt<=0) {
                    _this.skillText="";
                  } else {
                    _this.skillText="パッシブアタック残: "+_this.passiveAttackCnt;
                  }
                  _this.atacck();
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bell01,128,0);
                  
                } else {
                  _this.die();
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_saku08,80,0);
                  Tonyu.globals.$game=2;
                  
                }
                
              }
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Jiki_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.x=240;
        _this.y=240;
        _this.p=0;
        _this.cooltime=30;
        _this.attack=0;
        _this.attackId=0;
        _this.passiveAttackCnt=1;
        Tonyu.globals.$Screen.scrollTo(0-Tonyu.globals.$baseX+8,8);
        _this.skillText="パッシブアタック残: "+_this.passiveAttackCnt;
        Tonyu.globals.$getmapchip=Tonyu.globals.$screenWidth;
        _this.hitps=[Tonyu.globals.$pat_mapchip];
        
        _thread.enter(function _trc_Jiki_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.sx=_this.x;
              _this.sy=_this.y;
              if (!(_this.getkey("space")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getButton(1))) { __pc=4     ; break; }
              if (!(_this.cooltime<=0)) { __pc=3     ; break; }
              _this.fiber$atacck(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              
            case 4     :
              
              if (_this.getkey("up")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getUp()) {
                _this.y-=8;
              }
              if (_this.getkey("down")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getDown()) {
                _this.y+=8;
              }
              if (_this.getkey("left")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getLeft()) {
                _this.x-=8;
              }
              if (_this.getkey("right")||Tonyu.globals.$pad&&Tonyu.globals.$pad.getRight()) {
                _this.x+=8;
              }
              if (_this.hitToChip(_this.x,_this.y,_this.hitps)) {
                if (! _this.hitToChip(_this.sx,_this.y,_this.hitps)) {
                  if (! _this.hitToChip(_this.x,_this.y+8,_this.hitps)) {
                    _this.y+=8;
                    
                  } else {
                    if (! _this.hitToChip(_this.x,_this.y-8,_this.hitps)) {
                      _this.y-=8;
                      
                    }
                  }
                  _this.x=_this.sx;
                  
                } else {
                  if (! _this.hitToChip(_this.x,_this.sy,_this.hitps)) {
                    if (! _this.hitToChip(_this.x+8,_this.y,_this.hitps)) {
                      _this.x+=8;
                      
                    } else {
                      if (! _this.hitToChip(_this.x-8,_this.y,_this.hitps)) {
                        _this.x-=8;
                        
                      }
                    }
                    _this.y=_this.sy;
                    
                  } else {
                    _this.x=_this.sx;
                    _this.y=_this.sy;
                    
                  }
                }
                
              }
              if (_this.cooltime>0) {
                _this.cooltime--;
                if (_this.cooltime<36) {
                  if (_this.cooltime%6<=3) {
                    _this.p=11;
                  } else {
                    _this.p=10;
                  }
                  if (_this.cooltime%6==5) {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_step01_edit2,64,0);
                  }
                  
                }
                
              }
              if (_this.cooltime==1) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_power35_edit,128,0);
              }
              if (_this.cooltime==0) {
                _this.p=0;
              }
              if (!(_this.attack>0)) { __pc=5     ; break; }
              {
                _this.attack--;
                _this.crashScale=_this.crashScale>1?_this.crashScale*0.9:1;
                _this.e=_this.crashTo(Tonyu.classes.user.Enemy);
                if (_this.e&&_this.e.lastAttackId!=_this.attackId) {
                  if (_this.e.scaleX==0.6) {
                    _this.e.die();
                    
                  } else {
                    _this.e.scaleX=0.6;
                    _this.e.live=0;
                    _this.e.pattern=3;
                    _this.e.t=0;
                    _this.e.spd=0.5;
                    _this.e.lastAttackId=_this.attackId;
                    
                  }
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_saku06,64,0);
                  _this.attack=6;
                  _this.crashScale=2.5;
                  _this.cooltime=120;
                  
                }
                if (_this.attack==0) {
                  _this.p=10;
                }
              }
              __pc=11    ;break;
            case 5     :
              _this.crashScale=0.2;
              _this.e=_this.crashTo(Tonyu.classes.user.Enemy);
              if (!(_this.e)) { __pc=10    ; break; }
              if (!(_this.e.live==1)) { __pc=9     ; break; }
              if (!(_this.passiveAttackCnt>0)) { __pc=7     ; break; }
              _this.passiveAttackCnt--;
              if (_this.passiveAttackCnt<=0) {
                _this.skillText="";
              } else {
                _this.skillText="パッシブアタック残: "+_this.passiveAttackCnt;
              }
              _this.fiber$atacck(_thread);
              __pc=6;return;
            case 6:
              
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bell01,128,0);
              __pc=8     ;break;
            case 7     :
              {
                _this.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_saku08,80,0);
                Tonyu.globals.$game=2;
              }
            case 8     :
              
            case 9     :
              
            case 10    :
              
            case 11    :
              
              _this.fiber$update(_thread);
              __pc=12;return;
            case 12:
              
              __pc=1;break;
            case 13    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitToChip :function _trc_Jiki_hitToChip(x,y,ps) {
        "use strict";
        var _this=this;
        
        return ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y+10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y+10)/32)));
      },
      fiber$hitToChip :function _trc_Jiki_f_hitToChip(_thread,x,y,ps) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x-10)/32),_this.floor((y+10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y-10)/32)))||ps.includes(Tonyu.globals.$map.get(_this.floor((x+10)/32),_this.floor((y+10)/32)));return;
        
        
        _thread.retVal=_this;return;
      },
      atacck :function _trc_Jiki_atacck(nose) {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.user.Attack({x: _this.x,y: _this.y});
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_metal45_a_edit,128,0);
        _this.attack=6;
        _this.crashScale=2.5;
        _this.cooltime=120;
        _this.p=2;
        _this.attackId++;
      },
      fiber$atacck :function _trc_Jiki_f_atacck(_thread,nose) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.user.Attack({x: _this.x,y: _this.y});
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_metal45_a_edit,128,0);
        _this.attack=6;
        _this.crashScale=2.5;
        _this.cooltime=120;
        _this.p=2;
        _this.attackId++;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToChip":{"nowait":false},"atacck":{"nowait":false}},"fields":{"cooltime":{},"attack":{},"attackId":{},"passiveAttackCnt":{},"skillText":{},"hitps":{},"sx":{},"sy":{},"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$game=0;
        Tonyu.globals.$hiscore=0;
        Tonyu.globals.$portrait=false;
        Tonyu.globals.$baseX=(818-460)/2;
        Tonyu.globals.$Screen.resize(818,460);
        Tonyu.globals.$isUsePad=! Tonyu.globals.$Navigator.isWindows();
        _this.loadPage(Tonyu.classes.user.Title);
        _this.update();
        new Tonyu.classes.kernel.Label({x: 240,y: 80,template: "よけるん",size: 56,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 240,y: 200,template: "方向キーで移動\nスペースキーでアタック",font: "MS PGothic",size: 32,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 240,y: 340,template: "スペースキーでスタート",size: 40,align: "center",fillStyle: "#ffffff"});
        _this.startBtn=new Tonyu.classes.kernel.Button({top: 400,text: "スタート"});
        new Tonyu.classes.kernel.Button({top: 0,left: 0,width: 100,height: 20,text: "画面向き変更",onClick: (function anonymous_643() {
          
          if (_this.portrait) {
            Tonyu.globals.$baseX=(818-460)/2;
            Tonyu.globals.$Screen.resize(818,460);
            
          } else {
            Tonyu.globals.$baseX=0;
            Tonyu.globals.$Screen.resize(460,700);
            
          }
          _this.portrait=! _this.portrait;
        })});
        _this.selectUsePad=new Tonyu.classes.kernel.Actor({x: 100,y: 295,p: Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1,layer: Tonyu.globals.$frontLayer});
        new Tonyu.classes.kernel.Button({top: 280,left: 150,width: 220,height: 30,text: "バーチャルパッドを使う",onClick: (function anonymous_1031() {
          
          Tonyu.globals.$isUsePad=! Tonyu.globals.$isUsePad;
          _this.selectUsePad.p=Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1;
        })});
        while (true) {
          Tonyu.checkLoop();
          if (_this.getkey("space")==1||_this.startBtn.clicked==1) {
            _this.loadPage(Tonyu.classes.user.GameMain);
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$game=0;
        Tonyu.globals.$hiscore=0;
        Tonyu.globals.$portrait=false;
        Tonyu.globals.$baseX=(818-460)/2;
        Tonyu.globals.$Screen.resize(818,460);
        Tonyu.globals.$isUsePad=! Tonyu.globals.$Navigator.isWindows();
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Title);
              __pc=1;return;
            case 1:
              
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              new Tonyu.classes.kernel.Label({x: 240,y: 80,template: "よけるん",size: 56,align: "center",fillStyle: "#ffffff"});
              new Tonyu.classes.kernel.Label({x: 240,y: 200,template: "方向キーで移動\nスペースキーでアタック",font: "MS PGothic",size: 32,align: "center",fillStyle: "#ffffff"});
              new Tonyu.classes.kernel.Label({x: 240,y: 340,template: "スペースキーでスタート",size: 40,align: "center",fillStyle: "#ffffff"});
              _this.startBtn=new Tonyu.classes.kernel.Button({top: 400,text: "スタート"});
              new Tonyu.classes.kernel.Button({top: 0,left: 0,width: 100,height: 20,text: "画面向き変更",onClick: (function anonymous_643() {
                
                if (_this.portrait) {
                  Tonyu.globals.$baseX=(818-460)/2;
                  Tonyu.globals.$Screen.resize(818,460);
                  
                } else {
                  Tonyu.globals.$baseX=0;
                  Tonyu.globals.$Screen.resize(460,700);
                  
                }
                _this.portrait=! _this.portrait;
              })});
              _this.selectUsePad=new Tonyu.classes.kernel.Actor({x: 100,y: 295,p: Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1,layer: Tonyu.globals.$frontLayer});
              new Tonyu.classes.kernel.Button({top: 280,left: 150,width: 220,height: 30,text: "バーチャルパッドを使う",onClick: (function anonymous_1031() {
                
                Tonyu.globals.$isUsePad=! Tonyu.globals.$isUsePad;
                _this.selectUsePad.p=Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1;
              })});
            case 3:
              if (!(_this.getkey("space")==1||_this.startBtn.clicked==1)) { __pc=5     ; break; }
              _this.fiber$loadPage(_thread, Tonyu.classes.user.GameMain);
              __pc=4;return;
            case 4:
              
            case 5     :
              
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=3;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"startBtn":{},"portrait":{},"selectUsePad":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$game=0;
        new Tonyu.classes.kernel.Label({x: 240,y: 80,template: "よけるん",size: 56,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 240,y: 200,template: "方向キーで移動\nスペースキーでアタック",font: "MS PGothic",size: 32,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 240,y: 340,template: "スペースキーでスタート",size: 40,align: "center",fillStyle: "#ffffff"});
        _this.startBtn=new Tonyu.classes.kernel.Button({top: 400,width: 350,text: "スタート"});
        new Tonyu.classes.kernel.Button({top: 0,left: 320,width: 130,height: 28,text: "画面比率変更",onClick: (function anonymous_427() {
          
          if (Tonyu.globals.$portrait) {
            Tonyu.globals.$baseX=(818-460)/2;
            Tonyu.globals.$Screen.resize(818,460);
            
          } else {
            Tonyu.globals.$baseX=0;
            Tonyu.globals.$Screen.resize(460,700);
            
          }
          Tonyu.globals.$portrait=! Tonyu.globals.$portrait;
        })});
        _this.selectUsePad=new Tonyu.classes.kernel.Actor({x: 100,y: 295,p: Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1,layer: Tonyu.globals.$frontLayer});
        new Tonyu.classes.kernel.Button({top: 280,left: 150,width: 220,height: 30,text: "バーチャルパッドを使う",onClick: (function anonymous_818() {
          
          Tonyu.globals.$isUsePad=! Tonyu.globals.$isUsePad;
          _this.selectUsePad.p=Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1;
        })});
        while (true) {
          Tonyu.checkLoop();
          if (_this.getkey("space")==1||_this.startBtn.clicked==1) {
            _this.loadPage(Tonyu.classes.user.GameMain);
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$game=0;
        new Tonyu.classes.kernel.Label({x: 240,y: 80,template: "よけるん",size: 56,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 240,y: 200,template: "方向キーで移動\nスペースキーでアタック",font: "MS PGothic",size: 32,align: "center",fillStyle: "#ffffff"});
        new Tonyu.classes.kernel.Label({x: 240,y: 340,template: "スペースキーでスタート",size: 40,align: "center",fillStyle: "#ffffff"});
        _this.startBtn=new Tonyu.classes.kernel.Button({top: 400,width: 350,text: "スタート"});
        new Tonyu.classes.kernel.Button({top: 0,left: 320,width: 130,height: 28,text: "画面比率変更",onClick: (function anonymous_427() {
          
          if (Tonyu.globals.$portrait) {
            Tonyu.globals.$baseX=(818-460)/2;
            Tonyu.globals.$Screen.resize(818,460);
            
          } else {
            Tonyu.globals.$baseX=0;
            Tonyu.globals.$Screen.resize(460,700);
            
          }
          Tonyu.globals.$portrait=! Tonyu.globals.$portrait;
        })});
        _this.selectUsePad=new Tonyu.classes.kernel.Actor({x: 100,y: 295,p: Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1,layer: Tonyu.globals.$frontLayer});
        new Tonyu.classes.kernel.Button({top: 280,left: 150,width: 220,height: 30,text: "バーチャルパッドを使う",onClick: (function anonymous_818() {
          
          Tonyu.globals.$isUsePad=! Tonyu.globals.$isUsePad;
          _this.selectUsePad.p=Tonyu.globals.$isUsePad?Tonyu.globals.$pat_base+12:- 1;
        })});
        
        _thread.enter(function _trc_Title_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.getkey("space")==1||_this.startBtn.clicked==1)) { __pc=3     ; break; }
              _this.fiber$loadPage(_thread, Tonyu.classes.user.GameMain);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=1;break;
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"startBtn":{},"selectUsePad":{}}}
});

//# sourceMappingURL=concat.js.map